package demo;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class Clinic
{	
	public Clinic()
	{
		//initialize list patients in the clinic
		m_Patients.add(new Patient("Brona","McDowell","m","RSRGHR","Jordonstown Newtownabbey BT37 OQB",1968));
		m_Patients.add(new Patient("Julie","Jones",   "f","DOP123","Allerton Building Fredrick Road Salford M6 6PU",1959));
		m_Patients.add(new Patient("Alex","Harvey","f", "KKMD12","Borough Road Isleworth Middlesex TW7 5DU",1958));
		m_Patients.add(new Patient("Juilian","Hargreaves","m", "JJWDKL","Priory Street Coventry CV1 5FB",1961));
	}
	
	public Iterator getPatients()
	{
		return m_Patients.iterator();
	}	
	public Iterator getPatients(Integer startYear, Integer endYear)
	{
		List tempList = new ArrayList();
		Iterator iter =	m_Patients.iterator();
		for (Iterator iterator = iter; iterator.hasNext();)
		{
			Patient patient = (Patient) iterator.next();
			int currentYearOfBirth = patient.getYearOfBirth();  
			if (currentYearOfBirth>startYear.intValue() && currentYearOfBirth<=endYear.intValue())
			{
				tempList.add(patient);
			}
		}
		return tempList.iterator();
	}
	public Iterator getPatientsBySex(String sex)
	{
		List tempList = new ArrayList();
		Iterator iter =	m_Patients.iterator();
		for (Iterator iterator = iter; iterator.hasNext();)
		{
			Patient patient = (Patient) iterator.next();
			if (sex.toLowerCase().startsWith(patient.getSex()))
			{
				tempList.add(patient);
			}
			
		}
		return tempList.iterator();
	}
	private List m_Patients = new ArrayList(10);
}
