package demo;

import java.awt.BorderLayout;
import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;
import java.io.InputStream;

import javax.swing.JDialog;
import javax.swing.JScrollPane;

import com.elixirtech.report2.physical.viewer.GlintCanvas;

public class GlintView extends JDialog {
	public GlintView()
	{
		setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
		m_GlintCanvas = new GlintCanvas();
		m_ViewerToolBar = new ViewerToolBar();
		getContentPane().add(BorderLayout.NORTH,m_ViewerToolBar);
		getContentPane().add(BorderLayout.CENTER,new JScrollPane(m_GlintCanvas));
		m_ViewerToolBar.setViewer(m_GlintCanvas);
		pack();
	}
	public void setData(byte[] data)
	{
		InputStream bis = new BufferedInputStream(new ByteArrayInputStream(data));
		m_ViewerToolBar.open(bis);
	}
	
	private GlintCanvas m_GlintCanvas;
	private ViewerToolBar m_ViewerToolBar;
}
